Create Charge - m3ter Documentation

Create Charge

cURL

curl --request POST \
  --url https://api.m3ter.com/organizations/{orgId}/charges \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "name": "<string>",
  "code": "<string>",
  "accountId": "<string>",
  "currency": "<string>",
  "entityType": "<unknown>",
  "lineItemType": "<unknown>",
  "servicePeriodStartDate": "2023-11-07T05:31:56Z",
  "servicePeriodEndDate": "2023-11-07T05:31:56Z",
  "version": 123,
  "billDate": "2022-01-04",
  "amount": 123,
  "units": 123,
  "unitPrice": 123,
  "description": "<string>",
  "entityId": "<string>",
  "accountingProductId": "<string>",
  "notes": "<string>",
  "contractId": "<string>"
}
'

Python

import requests

url = "https://api.m3ter.com/organizations/{orgId}/charges"

payload = {
    "name": "<string>",
    "code": "<string>",
    "accountId": "<string>",
    "currency": "<string>",
    "entityType": "<unknown>",
    "lineItemType": "<unknown>",
    "servicePeriodStartDate": "2023-11-07T05:31:56Z",
    "servicePeriodEndDate": "2023-11-07T05:31:56Z",
    "version": 123,
    "billDate": "2022-01-04",
    "amount": 123,
    "units": 123,
    "unitPrice": 123,
    "description": "<string>",
    "entityId": "<string>",
    "accountingProductId": "<string>",
    "notes": "<string>",
    "contractId": "<string>"
}
headers = {
    "Authorization": "Bearer <token>",
    "Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)

JavaScript (Fetch)

const options = {
  method: 'POST',
  headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
  body: JSON.stringify({
    name: '<string>',
    code: '<string>',
    accountId: '<string>',
    currency: '<string>',
    entityType: '<unknown>',
    lineItemType: '<unknown>',
    servicePeriodStartDate: '2023-11-07T05:31:56Z',
    servicePeriodEndDate: '2023-11-07T05:31:56Z',
    version: 123,
    billDate: '2022-01-04',
    amount: 123,
    units: 123,
    unitPrice: 123,
    description: '<string>',
    entityId: '<string>',
    accountingProductId: '<string>',
    notes: '<string>',
    contractId: '<string>'
  })
};

fetch('https://api.m3ter.com/organizations/{orgId}/charges', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));

PHP

$curl = curl_init();

curl_setopt_array($curl, [
  CURLOPT_URL => "https://api.m3ter.com/organizations/{orgId}/charges",
  CURLOPT_RETURNTRANSFER => true,
  CURLOPT_ENCODING => "",  
  CURLOPT_MAXREDIRS => 10,
  CURLOPT_TIMEOUT => 30,
  CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
  CURLOPT_CUSTOMREQUEST => "POST",
  CURLOPT_POSTFIELDS => json_encode([
    'name' => '<string>',
    'code' => '<string>',
    'accountId' => '<string>',
    'currency' => '<string>',
    'entityType' => '<unknown>',
    'lineItemType' => '<unknown>',
    'servicePeriodStartDate' => '2023-11-07T05:31:56Z',
    'servicePeriodEndDate' => '2023-11-07T05:31:56Z',
    'version' => 123,
    'billDate' => '2022-01-04',
    'amount' => 123,
    'units' => 123,
    'unitPrice' => 123,
    'description' => '<string>',
    'entityId' => '<string>',
    'accountingProductId' => '<string>',
    'notes' => '<string>',
    'contractId' => '<string>'
  ]),
  CURLOPT_HTTPHEADER => [
    "Authorization: Bearer <token>",
    "Content-Type: application/json"
  ],
]);

$response = curl_exec($curl);
$err = curl_error($curl);

curl_close($curl);

if ($err) {
  echo "cURL Error #:" . $err;
} else {
  echo $response;
}

Go

package main

import (
    "fmt"
    "strings"
    "net/http"
    "io"
)

func main() {

url := "https://api.m3ter.com/organizations/{orgId}/charges"

payload := strings.NewReader("{\n  \"name\": \"<string>\",\n  \"code\": \"<string>\",\n  \"accountId\": \"<string>\",\n  \"currency\": \"<string>\",\n  \"entityType\": \"<unknown>\",\n  \"lineItemType\": \"<unknown>\",\n  \"servicePeriodStartDate\": \"2023-11-07T05:31:56Z\",\n  \"servicePeriodEndDate\": \"2023-11-07T05:31:56Z\",\n  \"version\": 123,\n  \"billDate\": \"2022-01-04\",\n  \"amount\": 123,\n  \"units\": 123,\n  \"unitPrice\": 123,\n  \"description\": \"<string>\",\n  \"entityId\": \"<string>\",\n  \"accountingProductId\": \"<string>\",\n  \"notes\": \"<string>\",\n  \"contractId\": \"<string>\"}")

req, _ := http.NewRequest("POST", url, payload)

req.Header.Add("Authorization", "Bearer <token>")
    req.Header.Add("Content-Type", "application/json")

res, _ := http.DefaultClient.Do(req)

defer res.Body.Close()
    body, _ := io.ReadAll(res.Body)

fmt.Println(string(body))
}

Response Structure

200

{
  "id": "<string>",
  "version": 123,
  "name": "<string>",
  "code": "<string>",
  "accountId": "<string>",
  "billDate": "2023-12-25",
  "amount": 123,
  "units": 123,
  "unitPrice": 123,
  "currency": "<string>",
  "description": "<string>",
  "entityId": "<string>",
  "billId": "<string>",
  "accountingProductId": "<string>",
  "servicePeriodStartDate": "2023-11-07T05:31:56Z",
  "servicePeriodEndDate": "2023-11-07T05:31:56Z",
  "notes": "<string>",
  "contractId": "<string>",
  "dtCreated": "2023-11-07T05:31:56Z",
  "dtLastModified": "2023-11-07T05:31:56Z",
  "createdBy": "<string>",
  "lastModifiedBy": "<string>",
  "scheduleId": "<string>"
}

Error Responses

{
  "message": "<string>"
}